local mapinfo = {
   name        = "Random Bassin 20x15",
   shortname   = "RB20x15",
   description = "A map that changes every time you play it",
   author      = "[Fx]Doo",
   version     = "1.1",
   modtype     = 3, --// 3=map

   maphardness     = 300,
   notDeformable   = false,
   gravity         = 130,
   tidalStrength   = 18,
   maxMetal        = 1.8,
   extractorRadius = 128.0,
   voidWater       = false,
   voidGround      = false,
   autoShowMetal   = true,

   atmosphere = {
      minWind      = 0.1,
      maxWind      = 35.0,

      fogStart     = 0.2,
      fogEnd       = 1.0,
      fogColor     = {0.450, 0.572, 0.741},

      sunColor     = {0.9, 0.57, 0.48},
      skyColor     = {0.450, 0.572, 0.741},
      skyDir       = {0.0, 0.0, -1.0},
      skyBox       = "sky_6_1_dx9_cube.dds",

      cloudDensity = 0.80,
      cloudColor   = {0.7, 0.7, 0.7},
   },

   terrainTypes = {
      [0] = {
         name = "Default",
         hardness = 1.0,
         receiveTracks = true,
         moveSpeeds = {
            tank  = 1.0,
            kbot  = 1.0,
            hover = 1.0,
            ship  = 1.0,
         },
      },
      [1]  = { 
         name = "Rooftops",
         hardness = 1.0,
         receiveTracks = true,
         moveSpeeds = {
            tank  = 1.5,
            kbot  = 1.5,
            hover = 1.5,
            ship  = 1.5,
         },
	},
	},

  lighting = {
      --// dynsun
      sunStartAngle = 0.0,
      sunOrbitTime  = 1440.0,
      sunDir        = {1.0, 0.75, 2.0, 1e9},

      --// unit & ground lighting
      groundAmbientColor  = {0.450, 0.572, 0.741},
      groundDiffuseColor  = {0.5, 0.5, 0.5},
      groundSpecularColor = {0.1, 0.1, 0.1},
      groundShadowDensity = 0.8,
      unitAmbientColor    = {0.450, 0.572, 0.741},
      unitDiffuseColor    = {0.7, 0.7, 0.7},
      unitSpecularColor   = {0.7, 0.7, 0.7},
      unitShadowDensity   = 0.8,
      
      specularExponent    = 100.0,
   },

  water = {
      damage =  0.0,

      repeatX = 0.0,
      repeatY = 0.0,

      absorb    = {0.01, 0.003, 0.003},
      baseColor = {0.9, 0.9, 1.0},
      minColor  = {0.6, 0.6, 0.7},

      ambientFactor  = 0.3,
      diffuseFactor  = 2.3,
      specularFactor = 1.0,
      specularPower  = 40.0,

      planeColor = {0.6, 0.6, 0.7},

      surfaceColor  = {0.65, 1, 1},
      surfaceAlpha  = 0.2,
      diffuseColor  = {1.0, 1.0, 1.0},
      specularColor = {0.85, 0.85, 0.5},

      fresnelMin   = 0.05,
      fresnelMax   = 0.3,
      fresnelPower = 12,

      reflectionDistortion = 0.7,

      blurBase      = 0,
      blurExponent = 0,

      perlinStartFreq  =  2.5,
      perlinLacunarity = 2.6,
      perlinAmplitude  =  0.9,
      windSpeed = 1.0, --// does nothing yet

      shoreWaves = true,
      forceRendering = false,
      texture =       "",
      normalTexture = "",
	},

   teams = {
      [0] = {startPos = {x = 147, z = 4428}},
      [1] = {startPos = {x = 9069, z = 4465}},   
      [2] = {startPos = {x = 590, z = 4410}},
      [3] = {startPos = {x = 8608, z = 4410}}, 
      [4] = {startPos = {x = 627, z = 2620}},
      [5] = {startPos = {x = 8589, z = 2638}}, 
      [6] = {startPos = {x = 240, z = 941}},
      [7] = {startPos = {x = 8995, z = 996}}, 
      [8] = {startPos = {x = 774, z = 5443}},
      [9] = {startPos = {x = 8423, z = 5424}}, 
      [10] = {startPos = {x = 184, z = 3266}},
      [11] = {startPos = {x = 9050, z = 3284}}, 
   },
   
smf = {
      minHeight = 0,
      maxHeight = 750,
	},
}
return mapinfo